=== src/TKMath/CMakeLists.txt ===
project(TKMath)

OCCT_INCLUDE_CMAKE_FILE (adm/cmake/occt_toolkit)

# Add the precompiled header
ADD_PRECOMPILED_HEADER(TKMath "TKMath_pch.hxx" FALSE)
