=== src/TKPrim/CMakeLists.txt ===
project(TKPrim)

OCCT_INCLUDE_CMAKE_FILE (adm/cmake/occt_toolkit)
