=== src/TKTopAlgo/CMakeLists.txt ===
project(TKTopAlgo)

OCCT_INCLUDE_CMAKE_FILE (adm/cmake/occt_toolkit)
