=== src/TKXSDRAW/CMakeLists.txt ===
project(TKXSDRAW)

OCCT_INCLUDE_CMAKE_FILE (adm/cmake/occt_toolkit)
