=== src/TKXmlTObj/CMakeLists.txt ===
project(TKXmlTObj)

OCCT_INCLUDE_CMAKE_FILE (adm/cmake/occt_toolkit)
