=== debian/changelog ===
opencascade (7.9.2+dfsg-4) unstable; urgency=medium

  * Build without freeimage. (Closes: #1121912)

 -- Tobias Frost <tobi@debian.org>  Sun, 01 Feb 2026 12:27:02 +0100

opencascade (7.9.2+dfsg-3) unstable; urgency=medium

  * Fix occt-draw symlinks. (Closes: #1124671)

 -- Tobias Frost <tobi@debian.org>  Tue, 06 Jan 2026 13:16:13 +0100
