=== debian/control ===
Source: opencascade
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Kurt Kremitzki <kkremitzki@debian.org>,
           Tobias Frost <tobi@debian.org>
Section: science
Priority: optional
Build-Depends: cmake,
               dpkg-dev (>= 1.22.5),
               debhelper-compat (= 13),
               dh-exec,
               libfreetype-dev,
               libgl-dev,
               libglu1-mesa-dev | libglu-dev,
               libglvnd-dev,
               libtbb-dev,
               libvtk9-dev (>= 9.5),
               libx11-dev,
               libxext-dev,
               libxi-dev,
               libxmu-dev,
               rapidjson-dev,
               tcl-dev,
               tk-dev
Build-Depends-Indep: doxygen,
                     graphviz
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/science-team/opencascade
Vcs-Git: https://salsa.debian.org/science-team/opencascade.git
Homepage: https://www.opencascade.com/
Rules-Requires-Root: no

Package: libocct-foundation-7.9
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: libocct-foundation-7.6, libocct-foundation-7.6t64,
        libocct-foundation-7.7, libocct-foundation-7.8,
Replaces: libocct-foundation-7.6, libocct-foundation-7.6t64,
        libocct-foundation-7.7, libocct-foundation-7.8,
Description: OCCT module underlying all other OCCT classes
 Open CASCADE Technology is a suite for 3D surface and solid modeling,
 visualization, data exchange and rapid application development.  It is an
 excellent platform for development of numerical simulation software including
 CAD/CAM/CAE, AEC and GIS, as well as PDM applications.
 .
 This package contains foundation classes which provide a variety of
 general-purpose services such as automated management of heap memory,
 exception handling, classes for manipulating aggregates of data, basic
 math tools.
 .
 This package contains the following shared libraries:
   TKernel TKMath

Package: libocct-foundation-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libocct-foundation-7.9 (<< ${binary:Version}+1~),
         libocct-foundation-7.9 (>= ${binary:Version}),
         ${misc:Depends}
Conflicts: liboce-foundation-dev
Breaks: libocct-visualization-dev (<< 7.8.1+dfsg1-5)
Replaces: liboce-foundation-dev, libocct-visualization-dev (<< 7.8.1+dfsg1-5)
Description: Open CASCADE Technology module underlying all other OCCT classes - dev files
 Open CASCADE Technology is a suite for 3D surface and solid modeling,
 visualization, data exchange and rapid application development.  It is an
 excellent platform for development of numerical simulation software including
 CAD/CAM/CAE, AEC and GIS, as well as PDM applications.
 .
 This package contains the headers and symlinks for libraries shipped by
 libocct-foundation.

Package: libocct-modeling-data-7.9
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: libocct-modeling-data-7.6, libocct-modeling-data-7.6t64,
        libocct-modeling-data-7.7, libocct-modeling-data-7.8,
Replaces: libocct-modeling-data-7.6, libocct-modeling-data-7.6t64,
          libocct-modeling-data-7.7, libocct-modeling-data-7.8,
Description: Open CASCADE Technology 2D/3D geometric primitives data structures
 Open CASCADE Technology is a suite for 3D surface and solid modeling,
 visualization, data exchange and rapid application development.  It is an
 excellent platform for development of numerical simulation software including
 CAD/CAM/CAE, AEC and GIS, as well as PDM applications.
 .
 This package supplies data structures to represent 2D and 3D geometric models.
 .
 This package contains the following shared libraries:
   TKG2d TKG3d TKGeomBase TKBRep

Package: libocct-modeling-data-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libocct-foundation-dev (<< ${binary:Version}+1~),
         libocct-foundation-dev (>= ${binary:Version}),
         libocct-modeling-data-7.9 (<< ${binary:Version}+1~),
         libocct-modeling-data-7.9 (>= ${binary:Version}),
         ${misc:Depends}
Conflicts: liboce-modeling-dev
Replaces: liboce-modeling-dev
Description: Open CASCADE Technology 2D/3D geometric primitives data structures - dev files
 Open CASCADE Technology is a suite for 3D surface and solid modeling,
 visualization, data exchange and rapid application development.  It is an
 excellent platform for development of numerical simulation software including
 CAD/CAM/CAE, AEC and GIS, as well as PDM applications.
 .
 This package contains the headers and symlinks for libraries shipped by
 libocct-modeling-data.

Package: libocct-modeling-algorithms-7.9
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: libocct-modeling-algorithms-7.6, libocct-modeling-algorithms-7.6t64,
        libocct-modeling-algorithms-7.7, libocct-modeling-algorithms-7.8,
Replaces: libocct-modeling-algorithms-7.6, libocct-modeling-algorithms-7.6t64,
          libocct-modeling-algorithms-7.7, libocct-modeling-algorithms-7.8,
Description: Open CASCADE Technology geometrical & topological algorithms module
 Open CASCADE Technology is a suite for 3D surface and solid modeling,
 visualization, data exchange and rapid application development.  It is an
 excellent platform for development of numerical simulation software including
 CAD/CAM/CAE, AEC and GIS, as well as PDM applications.
 .
 This package contains the following shared libraries:
   TKGeomAlgo TKTopAlgo TKPrim TKBO TKBool TKHLR TKFillet TKOffset TKFeat
   TKMesh TKXMesh TKShHealing

Package: libocct-modeling-algorithms-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libocct-foundation-dev (<< ${binary:Version}+1~),
         libocct-foundation-dev (>= ${binary:Version}),
         libocct-modeling-algorithms-7.9 (<< ${binary:Version}+1~),
         libocct-modeling-algorithms-7.9 (>= ${binary:Version}),
         ${misc:Depends}
Conflicts: liboce-modeling-dev
Replaces: liboce-modeling-dev
Description: Open CASCADE Technology geometrical & topological algorithms module - dev files
 Open CASCADE Technology is a suite for 3D surface and solid modeling,
 visualization, data exchange and rapid application development.  It is an
 excellent platform for development of numerical simulation software including
 CAD/CAM/CAE, AEC and GIS, as well as PDM applications.
 .
 This package contains the headers and symlinks for libraries shipped by
 libocct-modeling-algorithms.

Package: libocct-visualization-7.9
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
         occt-misc (= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Breaks: libocct-visualization-7.6,libocct-visualization-7.6t64,
        libocct-visualization-7.7, libocct-visualization-7.8,
Replaces: libocct-visualization-7.6,libocct-visualization-7.6t64,
          libocct-visualization-7.7, , libocct-visualization-7.8,
Description: Open CASCADE Technology graphical data visualization module
 Open CASCADE Technology is a suite for 3D surface and solid modeling,
 visualization, data exchange and rapid application development.  It is an
 excellent platform for development of numerical simulation software including
 CAD/CAM/CAE, AEC and GIS, as well as PDM applications.
 .
 This package provides services for displaying 2D and 3D graphics.
 .
 This package contains the following shared libraries:
  TKService TKV3d TKOpenGl TKMeshVS TKD3DHost

Package: libocct-visualization-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libfreetype-dev,
         libgl-dev,
         libglu1-mesa-dev | libglu-dev,
         libocct-foundation-dev (<< ${binary:Version}+1~),
         libocct-foundation-dev (>= ${binary:Version}),
         libocct-modeling-algorithms-dev (<< ${binary:Version}+1~),
         libocct-modeling-algorithms-dev (>= ${binary:Version}),
         libocct-modeling-data-dev (<< ${binary:Version}+1~),
         libocct-modeling-data-dev (>= ${binary:Version}),
         libocct-ocaf-dev (<< ${binary:Version}+1~),
         libocct-ocaf-dev (>= ${binary:Version}),
         libocct-visualization-7.9 (<< ${binary:Version}+1~),
         libocct-visualization-7.9 (>= ${binary:Version}),
         libx11-dev,
         libxext-dev,
         libxmu-dev,
         ${misc:Depends}
Conflicts: liboce-visualization-dev
Replaces: liboce-visualization-dev
Breaks: libocct-foundation-dev (<< 7.8.1+dfsg1-5)
Description: Open CASCADE Technology graphical data visualization module - dev files
 Open CASCADE Technology is a suite for 3D surface and solid modeling,
 visualization, data exchange and rapid application development.  It is an
 excellent platform for development of numerical simulation software including
 CAD/CAM/CAE, AEC and GIS, as well as PDM applications.
 .
 This package contains the headers and symlinks for libraries shipped by
 libocct-visualization.

Package: libocct-ivtk-7.9
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
         occt-misc (= ${source:Version})
Breaks: libocct-ivtk-7.8,
Replaces: libocct-ivtk-7.8,
Pre-Depends: ${misc:Pre-Depends}
Description: Open CASCADE Technology graphical data ivtk module
 Open CASCADE Technology is a suite for 3D surface and solid modeling,
 visualization, data exchange and rapid application development.  It is an
 excellent platform for development of numerical simulation software including
 CAD/CAM/CAE, AEC and GIS, as well as PDM applications.
 .
 This package provides services for displaying 2D and 3D graphics.
 .
 This package contains the following shared libraries:
  TKIVtk

Package: libocct-ivtk-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libfreetype-dev,
         libgl-dev,
         libglu1-mesa-dev | libglu-dev,
         libocct-foundation-dev (<< ${binary:Version}+1~),
         libocct-foundation-dev (>= ${binary:Version}),
         libocct-modeling-algorithms-dev (<< ${binary:Version}+1~),
         libocct-modeling-algorithms-dev (>= ${binary:Version}),
         libocct-modeling-data-dev (<< ${binary:Version}+1~),
         libocct-modeling-data-dev (>= ${binary:Version}),
         libocct-ocaf-dev (<< ${binary:Version}+1~),
         libocct-ocaf-dev (>= ${binary:Version}),
         libocct-ivtk-7.9 (<< ${binary:Version}+1~),
         libocct-ivtk-7.9 (>= ${binary:Version}),
	 libvtk9-dev,
         libx11-dev,
         libxext-dev,
         libxmu-dev,
         ${misc:Depends}
Description: Open CASCADE Technology graphical data ivtk module - dev files
 Open CASCADE Technology is a suite for 3D surface and solid modeling,
 visualization, data exchange and rapid application development.  It is an
 excellent platform for development of numerical simulation software including
 CAD/CAM/CAE, AEC and GIS, as well as PDM applications.
 .
 This package contains the headers and symlinks for libraries shipped by
 libocct-ivtk.

Package: libocct-ocaf-7.9
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: libocct-ocaf-7.6, libocct-ocaf-7.6t64, libocct-ocaf-7.7, libocct-ocaf-7.8
Replaces: libocct-ocaf-7.6, libocct-ocaf-7.6t64, libocct-ocaf-7.7, libocct-ocaf-7.8
Description: Open CASCADE Technology application-specific data and functionality
 Open CASCADE Technology is a suite for 3D surface and solid modeling,
 visualization, data exchange and rapid application development.  It is an
 excellent platform for development of numerical simulation software including
 CAD/CAM/CAE, AEC and GIS, as well as PDM applications.
 .
 This package provides Open CASCADE Application Framework services.
 .
 This package contains the following shared libraries:
 .
